#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'connection_editor.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "connection_editor.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <kpushbutton.h>
#include <tdelistview.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ConnectionEditor as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
ConnectionEditor::ConnectionEditor( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ConnectionEditor" );
    ConnectionEditorLayout = new TQGridLayout( this, 1, 1, 11, 6, "ConnectionEditorLayout"); 

    lvConnections = new TDEListView( this, "lvConnections" );
    lvConnections->addColumn( tr2i18n( "Connection" ) );
    lvConnections->addColumn( tr2i18n( "Type" ) );
    lvConnections->setAllColumnsShowFocus( TRUE );
    lvConnections->setShowSortIndicator( TRUE );
    lvConnections->setResizeMode( TDEListView::AllColumns );

    ConnectionEditorLayout->addMultiCellWidget( lvConnections, 1, 5, 0, 0 );

    cboConnectionType = new KComboBox( FALSE, this, "cboConnectionType" );

    ConnectionEditorLayout->addWidget( cboConnectionType, 0, 0 );

    pbClose = new KPushButton( this, "pbClose" );

    ConnectionEditorLayout->addWidget( pbClose, 5, 1 );
    spacer1 = new TQSpacerItem( 20, 240, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ConnectionEditorLayout->addItem( spacer1, 4, 1 );

    pbNew = new KPushButton( this, "pbNew" );

    ConnectionEditorLayout->addWidget( pbNew, 1, 1 );

    pbDelete = new KPushButton( this, "pbDelete" );

    ConnectionEditorLayout->addWidget( pbDelete, 3, 1 );

    pbEdit = new KPushButton( this, "pbEdit" );

    ConnectionEditorLayout->addWidget( pbEdit, 2, 1 );
    languageChange();
    resize( TQSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConnectionEditor::~ConnectionEditor()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConnectionEditor::languageChange()
{
    setCaption( tr2i18n( "Edit Connections ..." ) );
    lvConnections->header()->setLabel( 0, tr2i18n( "Connection" ) );
    lvConnections->header()->setLabel( 1, tr2i18n( "Type" ) );
    pbClose->setText( tr2i18n( "Close" ) );
    pbNew->setText( tr2i18n( "New Connection" ) );
    pbDelete->setText( tr2i18n( "Delete Connection" ) );
    pbEdit->setText( tr2i18n( "Edit Connection" ) );
}

/****************************************************************************
** ConnectionEditor meta object code from reading C++ file 'connection_editor.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "connection_editor.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ConnectionEditor::className() const
{
    return "ConnectionEditor";
}

TQMetaObject *ConnectionEditor::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ConnectionEditor( "ConnectionEditor", &ConnectionEditor::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ConnectionEditor::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ConnectionEditor", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ConnectionEditor::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ConnectionEditor", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ConnectionEditor::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ConnectionEditor", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ConnectionEditor.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ConnectionEditor::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ConnectionEditor" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool ConnectionEditor::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ConnectionEditor::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ConnectionEditor::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool ConnectionEditor::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
