#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'connection_setting_gsm.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "connection_setting_gsm.h"

#include <ntqvariant.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqcombobox.h>
#include <ntqspinbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ConnectionSettingGsmWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConnectionSettingGsmWidget::ConnectionSettingGsmWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConnectionSettingGsmWidget" );
    ConnectionSettingGsmWidgetLayout = new TQVBoxLayout( this, 0, 6, "ConnectionSettingGsmWidgetLayout"); 

    layout9 = new TQGridLayout( 0, 1, 1, 0, 6, "layout9"); 

    textLabel4 = new TQLabel( this, "textLabel4" );

    layout9->addWidget( textLabel4, 2, 2 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    layout9->addWidget( textLabel1, 0, 2 );

    mPassword = new TQLineEdit( this, "mPassword" );

    layout9->addWidget( mPassword, 1, 1 );

    mNetworkType = new TQComboBox( FALSE, this, "mNetworkType" );

    layout9->addWidget( mNetworkType, 3, 3 );

    textLabel6 = new TQLabel( this, "textLabel6" );

    layout9->addWidget( textLabel6, 3, 2 );

    textLabel2 = new TQLabel( this, "textLabel2" );

    layout9->addWidget( textLabel2, 0, 0 );

    mApn = new TQLineEdit( this, "mApn" );

    layout9->addWidget( mApn, 1, 3 );

    textLabel5 = new TQLabel( this, "textLabel5" );

    layout9->addWidget( textLabel5, 4, 2 );

    mBand = new TQSpinBox( this, "mBand" );
    mBand->setMaxValue( 5 );
    mBand->setMinValue( -1 );
    mBand->setValue( -1 );

    layout9->addWidget( mBand, 4, 3 );
    spacer4 = new TQSpacerItem( 171, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout9->addMultiCell( spacer4, 4, 4, 0, 1 );

    mPin = new TQLineEdit( this, "mPin" );

    layout9->addWidget( mPin, 2, 1 );

    mUsername = new TQLineEdit( this, "mUsername" );

    layout9->addWidget( mUsername, 0, 1 );

    mNumber = new TQLineEdit( this, "mNumber" );

    layout9->addWidget( mNumber, 0, 3 );

    mNetworkId = new TQLineEdit( this, "mNetworkId" );

    layout9->addWidget( mNetworkId, 2, 3 );

    textLabel2_3 = new TQLabel( this, "textLabel2_3" );

    layout9->addWidget( textLabel2_3, 2, 0 );

    textLabel2_2 = new TQLabel( this, "textLabel2_2" );

    layout9->addWidget( textLabel2_2, 1, 0 );

    textLabel3 = new TQLabel( this, "textLabel3" );

    layout9->addWidget( textLabel3, 1, 2 );
    ConnectionSettingGsmWidgetLayout->addLayout( layout9 );
    spacer5 = new TQSpacerItem( 20, 51, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ConnectionSettingGsmWidgetLayout->addItem( spacer5 );
    languageChange();
    resize( TQSize(381, 245).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mUsername, mPassword );
    setTabOrder( mPassword, mPin );
    setTabOrder( mPin, mNumber );
    setTabOrder( mNumber, mApn );
    setTabOrder( mApn, mNetworkId );
    setTabOrder( mNetworkId, mNetworkType );
    setTabOrder( mNetworkType, mBand );

    // buddies
    textLabel4->setBuddy( mNetworkId );
    textLabel1->setBuddy( mNumber );
    textLabel6->setBuddy( mNetworkType );
    textLabel2->setBuddy( mUsername );
    textLabel5->setBuddy( mBand );
    textLabel2_3->setBuddy( mUsername );
    textLabel2_2->setBuddy( mUsername );
    textLabel3->setBuddy( mApn );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConnectionSettingGsmWidget::~ConnectionSettingGsmWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConnectionSettingGsmWidget::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    textLabel4->setText( tr2i18n( "Network &ID:" ) );
    textLabel1->setText( tr2i18n( "&Number:" ) );
    TQToolTip::add( mPassword, tr2i18n( "Password needed to access the service" ) );
    mNetworkType->clear();
    mNetworkType->insertItem( tr2i18n( "Any" ) );
    mNetworkType->insertItem( tr2i18n( "Only 3G" ) );
    mNetworkType->insertItem( tr2i18n( "Only GPRS/EDGE" ) );
    mNetworkType->insertItem( tr2i18n( "Prefer 3G" ) );
    mNetworkType->insertItem( tr2i18n( "Prefer 2G" ) );
    TQToolTip::add( mNetworkType, tr2i18n( "Select the type of cellular data network the connection should use" ) );
    TQWhatsThis::add( mNetworkType, tr2i18n( "Any chooses the best available; GSM/GPRS locks the connection to the specified network type; Prefer options prefer one type but will use the other if necessary" ) );
    textLabel6->setText( tr2i18n( "Network &Type:" ) );
    textLabel2->setText( tr2i18n( "&Username:" ) );
    TQToolTip::add( mApn, tr2i18n( "Access Point Name" ) );
    TQWhatsThis::add( mApn, tr2i18n( "The hostname of the machine providing network access" ) );
    textLabel5->setText( tr2i18n( "&Band:" ) );
    TQToolTip::add( mPin, tr2i18n( "Personal Identification Number" ) );
    TQWhatsThis::add( mPin, tr2i18n( "A code used for all GSM-based phones to establish authorisation for access to certain functions or information" ) );
    TQToolTip::add( mUsername, tr2i18n( "Username needed to access the service" ) );
    TQToolTip::add( mNetworkId, tr2i18n( "The GSM network to connect to" ) );
    textLabel2_3->setText( tr2i18n( "&PIN:" ) );
    textLabel2_2->setText( tr2i18n( "Pass&word:" ) );
    textLabel3->setText( tr2i18n( "&APN:" ) );
}

/****************************************************************************
** ConnectionSettingGsmWidget meta object code from reading C++ file 'connection_setting_gsm.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "connection_setting_gsm.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ConnectionSettingGsmWidget::className() const
{
    return "ConnectionSettingGsmWidget";
}

TQMetaObject *ConnectionSettingGsmWidget::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ConnectionSettingGsmWidget( "ConnectionSettingGsmWidget", &ConnectionSettingGsmWidget::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ConnectionSettingGsmWidget::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ConnectionSettingGsmWidget", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ConnectionSettingGsmWidget::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ConnectionSettingGsmWidget", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ConnectionSettingGsmWidget::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ConnectionSettingGsmWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ConnectionSettingGsmWidget.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ConnectionSettingGsmWidget::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ConnectionSettingGsmWidget" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool ConnectionSettingGsmWidget::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ConnectionSettingGsmWidget::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ConnectionSettingGsmWidget::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool ConnectionSettingGsmWidget::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
