#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'connection_settings.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "connection_settings.h"

#include <ntqvariant.h>
#include <kpushbutton.h>
#include <ntqlabel.h>
#include <ntqwidgetstack.h>
#include <ntqwidget.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ConnectionSettingsDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
ConnectionSettingsDialog::ConnectionSettingsDialog( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ConnectionSettingsDialog" );
    ConnectionSettingsDialogLayout = new TQGridLayout( this, 1, 1, 11, 6, "ConnectionSettingsDialogLayout"); 

    pbBack = new KPushButton( this, "pbBack" );

    ConnectionSettingsDialogLayout->addWidget( pbBack, 2, 0 );

    lblInfo = new TQLabel( this, "lblInfo" );
    TQFont lblInfo_font(  lblInfo->font() );
    lblInfo_font.setBold( TRUE );
    lblInfo->setFont( lblInfo_font ); 

    ConnectionSettingsDialogLayout->addMultiCellWidget( lblInfo, 0, 0, 0, 5 );

    wstackSettings = new TQWidgetStack( this, "wstackSettings" );
    wstackSettings->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)7, 0, 0, wstackSettings->sizePolicy().hasHeightForWidth() ) );
    wstackSettings->setFrameShape( TQWidgetStack::TabWidgetPanel );

    WStackPage = new TQWidget( wstackSettings, "WStackPage" );
    wstackSettings->addWidget( WStackPage, 0 );

    ConnectionSettingsDialogLayout->addMultiCellWidget( wstackSettings, 1, 1, 0, 5 );

    pbCancel = new KPushButton( this, "pbCancel" );

    ConnectionSettingsDialogLayout->addWidget( pbCancel, 2, 5 );
    spacer2 = new TQSpacerItem( 180, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    ConnectionSettingsDialogLayout->addItem( spacer2, 2, 1 );

    pbNext = new KPushButton( this, "pbNext" );
    pbNext->setDefault( TRUE );

    ConnectionSettingsDialogLayout->addWidget( pbNext, 2, 2 );

    pbSave = new TQPushButton( this, "pbSave" );

    ConnectionSettingsDialogLayout->addWidget( pbSave, 2, 4 );

    btnConnect = new KPushButton( this, "btnConnect" );
    btnConnect->setAutoDefault( TRUE );
    btnConnect->setDefault( FALSE );

    ConnectionSettingsDialogLayout->addWidget( btnConnect, 2, 3 );
    languageChange();
    resize( TQSize(644, 318).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConnectionSettingsDialog::~ConnectionSettingsDialog()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConnectionSettingsDialog::languageChange()
{
    setCaption( tr2i18n( "Connections" ) );
    pbBack->setText( tr2i18n( "Back" ) );
    lblInfo->setText( tr2i18n( "New Connection" ) );
    pbCancel->setText( tr2i18n( "Cancel" ) );
    pbNext->setText( tr2i18n( "Next" ) );
    pbSave->setText( tr2i18n( "Save" ) );
    btnConnect->setText( tr2i18n( "Connect && Save" ) );
}

/****************************************************************************
** ConnectionSettingsDialog meta object code from reading C++ file 'connection_settings.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "connection_settings.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ConnectionSettingsDialog::className() const
{
    return "ConnectionSettingsDialog";
}

TQMetaObject *ConnectionSettingsDialog::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ConnectionSettingsDialog( "ConnectionSettingsDialog", &ConnectionSettingsDialog::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ConnectionSettingsDialog::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ConnectionSettingsDialog", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ConnectionSettingsDialog::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ConnectionSettingsDialog", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ConnectionSettingsDialog::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ConnectionSettingsDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ConnectionSettingsDialog.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ConnectionSettingsDialog::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ConnectionSettingsDialog" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool ConnectionSettingsDialog::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ConnectionSettingsDialog::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ConnectionSettingsDialog::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool ConnectionSettingsDialog::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
